Subject: Comments on the handouts

From: "Ralph Case (8+254-1882)" <[email-masked]>
Date: Wed, 23 Feb 94 11:31:33 EST

I'd like to share a comment and my reply about the format
of the handouts from the AIW Reference SIG.  I've attached them here.

Ralph Case                    [email-masked]    (919)254-1882
APPN Architecture
IBM Networking Hardware Division
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Date: Mon, 21 Feb 94 09:35:10
From: "Derek Bolton" <[email-masked]>
Encoding: 810 Text
Message-Id: <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Subject: APPN Architecture Reference SIG handout at AIW 4

Ralph,

Back here in Sunny Sydney, I thought it a good idea to update my copy of
SC30-3422-03 using the pages from the handout (treating it like a TNL).  Since
the handout quotes -03 as the "Architecture of Record" I thought they'd drop
straight in - but no.

Page 7-83 in the handout, for instance, corresponds approximately to page 7-81
in my SC30-3422-03 - but not exactly even then.  Both pages start part way
through explanatory note (3), but it is evident that the entire paragraph has
been changed, not just the portion in the handout.  (Line 1 of my 7-81 reads
"..REQUEST_ROUTE(RQ) signal.  For each set of session endpoint TG..")

Is there a -04 already, or did some changes fail to be highlighted in the SIG?
Or is my -03 an unofficial pre-release draft??

Regards,
  Derek Bolton
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Date: 22 February 1994, 09:54:55 EST
From: Ralph Case                8+254-1882           CASE     at RALVM6
To:   dbolton at Metaplex.com
Subject: APPN Architecture Reference SIG handout at AIW 4
Re:   your note,  Message-Id: <[email-masked]>
                  Date: Mon, 21 Feb 94 09:35:10

Thanks for your comments.  It's good to know that people are
reading and using what we hand out.

There is no -04 book yet.  These changes will be part of it
when we release it.  The changes we distributed were not
intended as TNLs.  We are merely highlighting the areas
that have changes.

We chose the format we did because we felt it communicates
the changes clearly, and is easy for us to pull out of our library.
Handing out TNL pages instead would be more work for us, and would
make it more difficult for you to find all the changes relating
to a specific item.  However, your point is well taken that it
would make the total set of changes more useful.  I don't
know how to handle subsequent changes - documenting and
delivering prerequisites gets complicated.  Our first priority
was to just get the information documented and discuss delivery
details later.

What you've discovered is an artifact of the way our documentation
library works.  (Or rather, the way we use it.)  Each of the updates
are written as a delta to the base (-03) book.  When we release
a new version of the book, we will merge all the deltas.

Several updates at the AIW hit the same parts of the book.
We wanted all of them to show the latest information, but focus
on what had changed for each specific item with change bars.
The new text you see on the top of the first page (7-83) is
highlighted as part of the changes for the "Blank/Null mode
or COS" change (page 7-81).  (I'm not sure why it shows up
as page 7-81 in one place and 7-83 in the other.  I hadn't
noticed this.  I'll look in to it.)

It occurs to me that this would be a good discussion to involve
the other members in.  With your permission, I'll post both your
note and this reply on the mail exploder.

Ralph Case                    [email-masked]    (919)254-1882
APPN Architecture
IBM Networking Hardware Division